tigase.server.ext

## Class CompDBRepository

- java.lang.Object
- - tigase.db.comp.ConfigRepository<Item>
  - - tigase.db.comp.UserRepoRepository<CompRepoItem>
    - - tigase.server.ext.CompDBRepository

- All Implemented Interfaces:
    Iterable<CompRepoItem>, ComponentRepository<CompRepoItem>

      public class CompDBRepository
      extends UserRepoRepository<CompRepoItem>

  Created: Oct 24, 2009 3:55:41 PM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    - ### Fields inherited from class tigase.db.comp.UserRepoRepository

      `REPO_CLASS_PROP_KEY, REPO_URI_PROP_KEY`

    - ### Fields inherited from class tigase.db.comp.ConfigRepository

      `items`

    - ### Fields inherited from interface tigase.db.comp.ComponentRepository

      `COMP_REPO_BIND`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompDBRepository()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getConfigKey()` Method description
    `String[]` | `getDefaultPropetyItems()` Method description
    `CompRepoItem` | `getItemInstance()` Method description
    `String` | `getPropertyKey()` Method description
    `tigase.xmpp.BareJID` | `getRepoUser()` Method description

    - ### Methods inherited from class tigase.db.comp.UserRepoRepository

      `getDefaults, getItemsListPKey, reload, setProperties, store`

    - ### Methods inherited from class tigase.db.comp.ConfigRepository

      `addItem, addRepoChangeListener, allItems, contains, getItem, itemChanged, iterator, removeItem, removeRepoChangeListener, setAutoloadTimer, size, toString, validateItem`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CompDBRepository

          public CompDBRepository()

  - ### Method Detail

    - #### getConfigKey

          public String getConfigKey()

      Method description
      Specified by:
        `getConfigKey` in class `ConfigRepository<CompRepoItem>`
      Returns:

    - #### getDefaultPropetyItems

          public String[] getDefaultPropetyItems()

      Method description
      Specified by:
        `getDefaultPropetyItems` in class `ConfigRepository<CompRepoItem>`
      Returns:

    - #### getItemInstance

          public CompRepoItem getItemInstance()

      Method description
      Returns:

    - #### getPropertyKey

          public String getPropertyKey()

      Method description
      Specified by:
        `getPropertyKey` in class `ConfigRepository<CompRepoItem>`
      Returns:

    - #### getRepoUser

          public tigase.xmpp.BareJID getRepoUser()

      Method description
      Specified by:
        `getRepoUser` in class `UserRepoRepository<CompRepoItem>`
      Returns:

Copyright © 2013 Tigase. All rights reserved.